"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dynamodb_data_mapper_1 = require("@aws/dynamodb-data-mapper");
function embed(documentConstructor, { attributeName, defaultProvider } = {}) {
    return {
        type: 'Document',
        members: documentConstructor.prototype[dynamodb_data_mapper_1.DynamoDbSchema] || {},
        attributeName,
        defaultProvider,
        valueConstructor: documentConstructor,
    };
}
exports.embed = embed;
